PKGS=sdl2 glew freetype2
CFLAGS=-std=c99 -m64 -Og -ggdb \
-pedantic -Wall -Wextra -Wshadow \
-Wcast-align -Wunused -Wconversion -Wmisleading-indentation \
-Wduplicated-cond -Wduplicated-branches -Wlogical-op \
-Wdouble-promotion -Wformat=2 -Wbad-function-cast \
-Wmissing-declarations -Wmissing-parameter-type \
-Wmissing-prototypes -Wnested-externs -Werror \
$(shell pkg-config --cflags $(PKGS))

LIBS=$(shell pkg-config --libs $(PKGS)) -lm -lc

SRCS=$(wildcard src/*)

.PHONY: run norun
norun: TAGS ged


run: TAGS ged
	./ged ./src/main.c

ged: $(SRCS)
	$(CC) $(CFLAGS) -o ged src/main.c $(LIBS)


TAGS: $(SRCS)
	exuberant-ctags --kinds-all=* --totals=yes -e -R
